import { formatearFechaHora } from "@/feature/messenger/utils/DateFormat"
import ReSendMessage from "./ReSendMessage"
import TypeMessage from "./TypeMessage"
import { getNameBySocial } from "@/feature/messenger/utils/TransFormName";

const SentMessage = ({ item }: any) => {

    const nameUser = getNameBySocial(item.nombre, item.sesion, item.rsocial);

    return (
        <div className="flex items-start mb-4">
            <div className="flex-shrink-0 mr-3">
                <div className="w-10 h-10 rounded-full bg-green-500 flex items-center justify-center">
                    <svg className="w-6 h-6 text-white" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                        <path d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z"></path>
                    </svg>
                </div>
            </div>
            <div className="flex-grow">
                <p className="text-sm font-medium text-gray-900 mb-1 dark:text-white">{item.quien_ejecuta_proceso === 'usuario' ? nameUser : item.quien_ejecuta_proceso}</p>
                <div className="bg-white rounded-lg px-6 pb-2 pt-4 max-w-prose shadow-sm relative w-fit">
                    <TypeMessage tipomensaje={item.tipomensaje} conversacion={item.conversacion} typeUser={item.quien_ejecuta_proceso} message={item} />
                    <p className="text-xs text-gray-500 mt-1 mr-3 min-w-fit">{item.fecha_sistema}</p>
                    <ReSendMessage message={item} />
                </div>
            </div>
        </div>
    )
}

export default SentMessage